#!/usr/bin/env python
# To use:
#       python setup.py install
#

import distutils, os
from distutils.core import setup, Extension

setup(name = "sdk32",
      version = "0.01",
      maintainer = "Dave Cole",
      maintainer_email = " djc@object-craft.com.au",
      description = "Dodgey Platform SDK Wrapper",
      url = "http://www.object-craft.com.au/projects/sdk32/",
      ext_modules = [
           Extension('sdk32',
                     ['sdk32.c', 'support.c', 'dialog.c'],
                     libraries = ['user32', 'gdi32', 'ws2_32'],
                     )
           ],
      )

