extern PyObject *debug_file;
void debug_msg(char *fmt, ...);

extern char sdk32_set_debug__doc__[];
PyObject *sdk32_set_debug(PyObject *module, PyObject *args);

extern char sdk32_MAKE_DIALOG_TEMPLATE__doc__[];
PyObject *sdk32_MAKE_DIALOG_TEMPLATE(PyObject *module, PyObject *args);

/* Conversion functions
 */
int conv_nullstr(char *name, PyObject *obj, char **arg);
int conv_intstr(char *name, PyObject *obj, char **arg);
int conv_intnullstr(char *name, PyObject *obj, char **arg);
int conv_dlgtempl(char *name, PyObject *obj, void **arg);

/* Bounce dialog box messages up into the correct Python function
 */
BOOL CALLBACK dlg_proc_trampoline(HWND wnd, UINT msg, WPARAM wparam, LPARAM lparam);

/* Bounce window messages up into the correct Python function
 */
int wc_proc_add(const char *name, PyObject *func);
LRESULT CALLBACK wc_proc_trampoline(HWND wnd, UINT msg, WPARAM wparam, LPARAM lparam);
int timerproc_add(HWND wnd, UINT timer_id, PyObject *func);
void timerproc_remove(HWND wnd, UINT timer_id);
void CALLBACK timerproc_trampoline(HWND wnd, UINT msg, UINT event, DWORD time);

/* Funny wrapper for gethostbyname()
 */
extern char sdk32_gethostbyname__doc__[];
PyObject *sdk32_gethostbyname(char *name);
